# Couenne::CouenneScalar Class Reference

`#include <CouenneMatrix.hpp>`

List of all members.

## Public Member Functions
| CouenneScalar (int index, expression *elem)
| ~CouenneScalar ()
| CouenneScalar (const CouenneScalar &rhs)
CouenneScalar & | operator= (const CouenneScalar &rhs)
CouenneScalar * | clone ()
int | getIndex () const
expression * | getElem () const
bool | operator< (const CouenneScalar &rhs) const
void | print () const
## Protected Attributes
int | index_
| index of element in vector
expression * | elem_
| element
## Friends
bool | operator< (const CouenneScalar &first, const CouenneScalar &second)

## Detailed Description

Definition at line 25 of file CouenneMatrix.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneScalar::CouenneScalar | ( | int | index,
|  | expression * | elem |
| ) |  |  | `[inline]`

Definition at line 34 of file CouenneMatrix.hpp.

Referenced by clone().

Couenne::CouenneScalar::~CouenneScalar | ( |  | ) |

Couenne::CouenneScalar::CouenneScalar | ( | const CouenneScalar & | rhs | ) | `[inline]`

Definition at line 40 of file CouenneMatrix.hpp.

## Member Function Documentation

CouenneScalar& Couenne::CouenneScalar::operator= | ( | const CouenneScalar & | rhs | ) | `[inline]`

Definition at line 44 of file CouenneMatrix.hpp.

References elem_, and index_.

CouenneScalar* Couenne::CouenneScalar::clone | ( |  | ) | `[inline]`

Definition at line 50 of file CouenneMatrix.hpp.

References CouenneScalar().

int Couenne::CouenneScalar::getIndex | ( |  | ) | const`[inline]`

Definition at line 52 of file CouenneMatrix.hpp.

References index_.

expression* Couenne::CouenneScalar::getElem | ( |  | ) | const`[inline]`

Definition at line 53 of file CouenneMatrix.hpp.

References elem_.

bool Couenne::CouenneScalar::operator< | ( | const CouenneScalar & | rhs | ) | const`[inline]`

Definition at line 55 of file CouenneMatrix.hpp.

References index_.

void Couenne::CouenneScalar::print | ( |  | ) | const

## Friends And Related Function Documentation

bool operator< | ( | const CouenneScalar & | first,
|  | const CouenneScalar & | second |
| ) |  |  | `[friend]`

## Member Data Documentation

int Couenne::CouenneScalar::index_`[protected]`

index of element in vector

Definition at line 29 of file CouenneMatrix.hpp.

Referenced by getIndex(), Couenne::operator<(), operator<(), and operator=().

expression* Couenne::CouenneScalar::elem_`[protected]`

element

Definition at line 30 of file CouenneMatrix.hpp.

Referenced by getElem(), and operator=().

The documentation for this class was generated from the following file:

- CouenneMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines